> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Tool Demonstration

> Starts a browser session for demonstrating (recording) a tool workflow.



## OpenAPI

````yaml /openapi.yaml post /v1/tools/demonstrate/start
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/tools/demonstrate/start:
    post:
      tags:
        - Tools
      summary: Start Tool Demonstration
      description: Starts a browser session for demonstrating (recording) a tool workflow.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - task_name
              properties:
                task_name:
                  type: string
                task_description:
                  type: string
                identity_id:
                  type: string
                  description: Pre-authenticate the session with a saved identity.
                identity_skip_validation:
                  type: boolean
                  default: true
                initial_url:
                  type: string
      responses:
        '200':
          description: Demonstration started successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                  hektor_project_id:
                    type: string
                  identity_id:
                    type: string
                    nullable: true
                  has_connected_profile:
                    type: boolean
        '500':
          description: Failed to start demonstration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````